<?php
/*
 * Corrige opções dos campos que não eram para estar disponíveis (select2, slide)
 * */



    if ($num_versao_atual < 9900004 || empty($num_versao_atual)) {
        $previous_error = set_error_handler("nm_faz_nada");
        nm_load_class('interface', 'Group');
        nm_load_class('interface', 'ProjVersion');
        nm_load_class('interface', 'Application');
        nm_load_class('interface', 'Field');

        $obj_grp = new nmGroup();
        $obj_version = new nmProjVersion();
        $obj_app = new nmApplication();
        $obj_fld = new nmField();

        $arr_groups = $obj_grp->getGroupList();
        $previous_prj = $_SESSION['nm_session']['user']['cod_grp'];
        beginTrans();
        foreach ($arr_groups as $cod_prj) {

            $_SESSION['nm_session']['user']['cod_grp'] = $cod_prj;


            $arr_versions = $obj_version->GetVersion($cod_prj);
            foreach ($arr_versions as $version) {
                $arr_apps = $obj_app->RetListApp($cod_prj, $version, false, ['form', 'ctrl']);
                foreach ($arr_apps as $app) {
                    $obj_app->SetApplication($cod_prj, $app, $version);
                    $obj_app->CheckAttrN(true, array(1));
                    $error_posicao = $obj_app->attr1->GetTag('error_posicao');
                    if( $error_posicao == 'top' || $error_posicao == 'sweetalert'){
                        $obj_app->attr1->SetTag('error_posicao_modal', 'S');
                    }else {
                        $obj_app->attr1->SetTag('error_posicao_modal', 'N');
                    }
                    $obj_app->saveAttrN(array(1=>""));

                }

            }

        }
        CommitTrans();
        $_SESSION['nm_session']['user']['cod_grp'] = $previous_prj;
        set_error_handler($previous_error);
        $return = true;
    }


?>